Skip to main content
GET
/
2025-09
/
unit_allocations
List all Unit Allocations
curl --request GET \
  --url https://public-api.stora.co/2025-09/unit_allocations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/unit_allocations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/unit_allocations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "unit_allocations": [
    {
      "id": "alloc_a1b2c3d4e5f6g7h8",
      "created_at": "2025-02-22T14:41:00Z",
      "granted_access_at": "2025-01-20T14:00:00Z",
      "reserved_at": "2025-01-15T10:00:00Z",
      "tenancy": {
        "id": "ten_acaf3269a573af74"
      },
      "unit": {
        "id": "unit_1e36123098e22cf8"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
contact_id
string[]

Filter by Contact IDs. Supports multiple values separated by a comma.

tenancy_id
string[]

Filter by Tenancy IDs. Supports multiple values separated by a comma.

unit_id
string[]

Filter by Unit IDs. Supports multiple values separated by a comma.

site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

reserved_after
string<date-time>

Filters results to reserved after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

reserved_before
string<date-time>

Filters results to reserved before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

granted_access_after
string<date-time>

Filters results to granted_access after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

granted_access_before
string<date-time>

Filters results to granted_access before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of unit allocations

List of Unit Allocations

unit_allocations
object[]
meta
object